From fbc58c36c842cea17adaa9cd8add7de5328ae96a Mon Sep 17 00:00:00 2001
From: Pengpeng Dong <dongpengpeng@uniontech.com>
Date: Tue, 8 Sep 2020 14:02:07 +0800
Subject: [PATCH v3 2/2] quartz: Fix crash when pVisible is NULL.

Signed-off-by: Pengpeng Dong <dongpengpeng@uniontech.com>
---
 dlls/quartz/window.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/quartz/window.c b/dlls/quartz/window.c
index 07e042eccd..332c6abbea 100644
--- a/dlls/quartz/window.c
+++ b/dlls/quartz/window.c
@@ -334,6 +334,9 @@ HRESULT WINAPI BaseControlWindowImpl_get_Visible(IVideoWindow *iface, LONG *visi
 
     TRACE("window %p, visible %p.\n", window, visible);
 
+    if(!visible)
+        return E_POINTER;
+
     *visible = IsWindowVisible(window->hwnd) ? OATRUE : OAFALSE;
     return S_OK;
 }
-- 
2.20.1

